WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: libv4l  (Read 1385 times)

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9720
libv4l
« on: June 17, 2010, 06:40:24 PM »
Thanks to JLS for:

Code: [Select]
Title: libv4l-dev.tcz
Description: Collection of video4linux support libraries dev files
Version: 0.8.0
Author: ?
Original-site: http://freshmeat.net/projects/libv4l
Copying-policy: gplv2
Size: 8.0K
Extension_by: jls_legalize (unsenepopiu at tin dot it)
Comments: development files
----------------------------------------
This extension is PPI compatible
Change-log: 2009/05/27 Initial packaging
2009/11/09  updated to version 0.6.1
2009/12/04  updated to version 0.6.3
2010/01/24  updated to version 0.6.4
2010/03/21  updated to version 0.7.91
Current: 2010/05/14  updated to version 0.8.0


Code: [Select]
Title: libv4l.tcz
Description: Collection of video4linux support libraries
Version: 0.8.0
Author: ?
Original-site: http://freshmeat.net/projects/libv4l
Copying-policy: gplv2
Size: 204.0K
Extension_by: jls_legalize (unsenepopiu at tin dot it)
Comments: v4l-utils is a collection of various video4linux (V4L)
and DVB utilities. libv4l is an accompanying collection
of libraries that adds a thin abstraction layer on top of
video4linux2 (V4L2) devices. The purpose of this layer
is to make it easy for application writers to support a
wide variety of devices without having to write separate
code for different devices in the same class. It consists
of 3 different libraries. libv4lconvert offers functions to
convert from any (known) pixel format to
V4l2_PIX_FMT_BGR24 or V4l2_PIX_FMT_YUV420.
libv4l1 offers the (deprecated) v4l1 API on top of v4l2
devices, independent of the drivers for those devices
supporting v4l1 compatibility (which many v4l2 drivers do not).
libv4l2 offers the v4l2 API on top of v4l2 devices,
while adding support for the application transparent
libv4lconvert conversion where necessary.

example: LD_PRELOAD=/usr/local/lib/libv4l/v4l1compat.so mplayer...
---------------------------------
This extension is PPI compatible.
Change-log: 2009/05/27 Initial packaging
2009/11/09  updated to version 0.6.1
2009/12/04  updated to version 0.6.3
2010/01/24  updated to version 0.6.4
2010/03/21  updated to version 0.7.91
Current: 2010/05/14  updated to version 0.8.0